package eu.lucazanini.circleview;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;

public class TouchView extends View {

    private final static String TAG = TouchView.class.getName();
    private Circle circleOne, circleTwo;

    public TouchView(Context context, AttributeSet attrs) {
	super(context, attrs);

	circleOne = new Circle();
	circleTwo = new Circle();
    }

    public void setCircleOne(float x, float y, int action) {
	circleOne.setX(x);
	circleOne.setY(y);
	circleOne.setAction(action);
    }

    public void setCircleTwo(float x, float y, int action) {
	circleTwo.setX(x);
	circleTwo.setY(y);
	circleTwo.setAction(action);
    }

    @Override
    protected void onDraw(Canvas canvas) {
	super.onDraw(canvas);

	Paint paint = new Paint();

	// draw white canvas
	paint.setStyle(Paint.Style.FILL);
	paint.setColor(Color.WHITE);
	canvas.drawRect(0, 0, getWidth(), getHeight(), paint);

	// draw the circles
	paint.setAntiAlias(true);
	if (circleOne != null && circleOne.getAction() != -1) {
	    paint.setColor(Color.RED);
	    canvas.drawCircle(circleOne.getX(), circleOne.getY(), 100, paint);
	}
	if (circleTwo != null && circleTwo.getAction() != -1) {
	    paint.setColor(Color.GREEN);
	    canvas.drawCircle(circleTwo.getX(), circleTwo.getY(), 100, paint);
	}
    }

    @Override
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
	int widthMode = MeasureSpec.getMode(widthMeasureSpec);
	int widthSize = MeasureSpec.getSize(widthMeasureSpec);
	int heightMode = MeasureSpec.getMode(heightMeasureSpec);
	int heightSize = MeasureSpec.getSize(heightMeasureSpec);

	setMeasuredDimension(widthSize, heightSize);
    }

}
